<?php

App::uses('CookieComponent', 'Controller/Component');

class BasketCookieComponent extends CookieComponent {

/**
 * redefine construct to setup cookie vars
 */
	public function __construct(ComponentCollection $collection, $settings = array()) {
		parent::__construct($collection, $settings);

		$sessionConf = Configure::read('Session');
		$this->name = 'EvBasket';
		$this->key = 'wX$.NC7-2bf2E~K($"ng8=CyETJY^A~.Nx6sEbwA';
		$this->time = $sessionConf['ini']['session.cookie_lifetime']; // The CAKEPHP cookie lifespan see CakeSession.php L:268
		$this->httpOnly = true; // prevents access to the cookie through Javascript
	}

}
